<div class="col-lg-12 animated fadeInRight">

  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">

          <div class="ibox-title">
            <h3>
              <strong>Driver onboard</strong>
            </h3>
          </div>
          <ul class="nav nav-tabs">
            <li class="active"><a data-toggle="tab" href="#home" id="driverInfo">Home</a></li>
            <li><a data-toggle="tab" href="#menu1">Driver Information</a></li>
            <li><a data-toggle="tab" href="#menu2">Vehicle Information</a></li>
            <li><a data-toggle="tab" href="#menu3">IBAN Information</a></li>
          </ul>

          <div class="tab-content">
            <div id="home" class="tab-pane fade in active">

              <div class="ibox-content">

                <div class="table table-responsive">
                  <div class="col-md-3 customer_basic_details">
                    <img class="profile-img" [src]="profileImg" (click)="openImg(profileImg,'profile')"
                      alt="Customers profile pic">
                    <div>
                      <h4>Profile image</h4>
                      <div>
                        <input type="radio" name="radio_profile_image" value="0" [(ngModel)]="profile">Require more
                        information<br />
                        <input type="radio" name="radio_profile_image" value="1" [(ngModel)]="profile">Approve<br />
                        <input type="radio" name="radio_profile_image" value="2" [(ngModel)]="profile">Reject
                      </div>
                    </div>
                    <br>
                    <div class="customer_basic">
                      <div class="customer_details">
                        <h4>{{extDriver?.name}}</h4>
                        <div> {{extDriver?.phone_number}}</div>
                        <div>{{extDriver?.email}}</div>
                      </div>
                    </div>
                    <button class="btn btn-success" (click)="changePassword()">Change password</button>
                  </div>

                  <div class="col-md-9">
                    <div class="image_showcase">
                      <h4>Driver licence</h4>
                      <div class="image_showcase_all">
                        <img [src]="licenceFrontImg" (click)="openImg(licenceFrontImg,'driver');"
                          alt="licence front page">
                        <img [src]="licenceBackImg" (click)="openImg(licenceBackImg,'driver');" alt="licence back page">
                        <div class="checkout_icons">
                          <div>
                            <input type="radio" name="radio_licence" value="0" [(ngModel)]="licence">Require more
                            information<br />
                            <input type="radio" name="radio_licence" value="1" [(ngModel)]="licence">Approve<br />
                            <input type="radio" name="radio_licence" value="2" [(ngModel)]="licence">Reject
                          </div>
                        </div>
                      </div>

                    </div>
                    <div class="image_showcase">
                      <h4>Vehicle Registration</h4>
                      <div class="image_showcase_all">
                        <img [src]="rcFrontImg" (click)="openImg(rcFrontImg,'vehicle');"
                          alt="car registration front page">
                        <img [src]="rcBackImg" (click)="openImg(rcBackImg,'vehicle');" alt="car registration back page">
                        <div class="checkout_icons">
                          <div>
                            <input type="radio" name="radio_registration" value="0" [(ngModel)]="registration">Require more
                            information<br />
                            <input type="radio" name="radio_registration" value="1" [(ngModel)]="registration">Approve<br />
                            <input type="radio" name="radio_registration" value="2" [(ngModel)]="registration">Reject
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="image_showcase">
                      <h4>Emirates ID</h4>
                      <div class="image_showcase_all">
                        <img [src]="emiratesFrontImg" (click)="openImg(emiratesFrontImg,'driver');"
                          alt="emirates ID front page">
                        <img [src]="emiratesBackImg" (click)="openImg(emiratesBackImg,'driver');"
                          alt="emirates Id front page">
                        <div class="checkout_icons">
                          <div>
                            <input type="radio" name="radio_emirates" value="0" [(ngModel)]="emirates">Require more
                            information<br />
                            <input type="radio" name="radio_emirates" value="1" [(ngModel)]="emirates">Approve<br />
                            <input type="radio" name="radio_emirates" value="2" [(ngModel)]="emirates">Reject
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="image_showcase">
                      <h4>RTA Card</h4>
                      <div class="image_showcase_all">
                        <img [src]="rtaCardFront" (click)="openImg(rtaCardFront,'driver');" alt="RTA Card front page">
                        <img [src]="rtaCardBack" (click)="openImg(rtaCardBack,'driver');" alt="RTA Card front page">
                        <div class="checkout_icons">
                          <div>
                            <input type="radio" name="radio_rtaCard" value="0" [(ngModel)]="rtaCard">Require more
                            information<br />
                            <input type="radio" name="radio_rtaCard" value="1" [(ngModel)]="rtaCard">Approve<br />
                            <input type="radio" name="radio_rtaCard" value="2" [(ngModel)]="rtaCard">Reject
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="action_btns"
                      *ngIf="extDriver.is_notified=='1' && extDriver.onboarding_status!='3' &&  extDriver.training_completed!=='1'; else reUpload">
                      <button [disabled]="submit || checkApprovalStatus()" (click)="openDialog('approve');"
                        class="btn grn">Approve</button>
                      <button [disabled]="submit" (click)="openDialog('pending');" class="btn yell">Move to
                        pending</button>
                      <button [disabled]="submit" (click)="openDialog('reject');" class="btn reds">Reject</button>
                    </div>
                    <ng-template #reUpload>
                      <button *ngIf="extDriver.is_notified=='1' && extDriver.onboarding_status=='2'"
                        [disabled]="submit || checkApproveAgainStatus()" (click)="openDialog('approve_again');"
                        class="btn grn">Approve</button>
                      <button [disabled]="submit || checkRejectedStatus()" *ngIf="extDriver.is_notified=='1'"
                        (click)="openDialog('reject_and_upload');" class="btn red">Move to rejected</button>
                    </ng-template>
                  </div>
                </div>
              </div>
            </div>
            <div id="menu1" class="ibox-content tab-pane fade"
              [ngStyle]="{'pointer-events': extDriver.training_completed=='1' && extDriver.onboarding_status!='2'?'none':'unset'}">
              <form #signup="ngForm" (ngSubmit)="submitDriverForm(signup.value)">
                <div class="box-input row">
                  <label>Name</label>
                  <input type="text" class="form-control" name="name"
                    [ngModel]="extDriver.first_name+' '+extDriver.last_name" readOnly ngModel />
                </div>
                <div class="box-input row">
                  <label>Display name <span class="erro-msg">*</span></label>
                  <input type="text" class="form-control" name="display_name" [ngModel]="extDriver.display_name"
                    required ngModel />
                  <div class="error-msg"
                    *ngIf="signup.controls['display_name'] && signup.controls['display_name'].invalid && (signup.controls['display_name'].touched || signup.controls['display_name'].dirty)">
                    <div *ngIf="signup.controls['display_name'].errors.required">
                      Display name is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>Nationality <span class="erro-msg">*</span></label>
                  <select class="form-control" name="nationality" [(ngModel)]="extDriver.nationality" required ngModel>
                    <option *ngFor="let country of country_list" [value]=country>{{country}}</option>
                  </select>
                  <div class="error-msg"
                    *ngIf="signup.controls['nationality'] && signup.controls['nationality'].invalid && (signup.controls['nationality'].touched || signup.controls['nationality'].dirty)">
                    <div *ngIf="signup.controls['nationality'].errors.required">
                      Nationality is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>Birth Date <span class="erro-msg">*</span></label>
                  <div class="dt-filter">
                    <input type="text" class="form-control" [owlDateTime]="dt" [ngModel]="extDriver.birth_date"
                      name="birth_date" [max]="max" [owlDateTimeTrigger]="dt" ngModel required readonly />
                    <owl-date-time #dt></owl-date-time>
                  </div>
                  <div class="error-msg"
                    *ngIf="signup.controls['birth_date'] && signup.controls['birth_date'].invalid && (signup.controls['birth_date'].touched || signup.controls['birth_date'].dirty)">
                    <div *ngIf="signup.controls['birth_date'].errors.required">
                      Birth date is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row mt-3">
                  <label>Licence number <span class="erro-msg">*</span></label>
                  <input type="text" class="form-control" autocomplete="new-username"
                    [(ngModel)]="extDriver.driver_licence_number" name="licence_number" pattern="[0-9]+([.][0-9]+)?"
                    ngModel required/>
                  <div class="error-msg"
                    *ngIf="signup.controls['licence_number'] && signup.controls['licence_number'].invalid && (signup.controls['licence_number'].touched || signup.controls['licence_number'].dirty)">
                    <div *ngIf="signup.controls['licence_number'].errors.required">
                      Licence number is required.
                    </div>
                    <div [hidden]="!signup.controls['licence_number'].errors.pattern">
                      Licence number should be a number.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>Licence expiry date <span class="erro-msg">*</span></label>
                  <div class="dt-filter">
                    <input type="text" class="form-control" [owlDateTime]="dt1" [min]="max"
                      [ngModel]="extDriver.driver_licence_expiry_date" name="driver_licence_expiry_date"
                      [owlDateTimeTrigger]="dt1" ngModel required readonly />
                    <owl-date-time #dt1></owl-date-time>
                  </div>
                  <div class="error-msg"
                    *ngIf="signup.controls['driver_licence_expiry_date'] && signup.controls['driver_licence_expiry_date'].invalid && (signup.controls['driver_licence_expiry_date'].touched || signup.controls['driver_licence_expiry_date'].dirty)">
                    <div *ngIf="signup.controls['driver_licence_expiry_date'].errors.required">
                      Licence expiry date is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>Licence issue date <span class="erro-msg">*</span></label>
                  <div class="dt-filter">
                    <input type="text" class="form-control" [owlDateTime]="dt2"
                      [ngModel]="extDriver.driver_licence_issue_date" name="driver_licence_issue_date" [max]="max"
                      [owlDateTimeTrigger]="dt2" ngModel required readonly />
                    <owl-date-time #dt2></owl-date-time>
                  </div>
                  <div class="error-msg"
                    *ngIf="signup.controls['driver_licence_issue_date'] && signup.controls['driver_licence_issue_date'].invalid && (signup.controls['driver_licence_issue_date'].touched || signup.controls['driver_licence_issue_date'].dirty)">
                    <div *ngIf="signup.controls['driver_licence_issue_date'].errors.required">
                      Licence issue date is required.
                    </div>
                  </div>
                </div>

                <div class="box-input row">
                  <label>Emirates ID number <span class="erro-msg">*</span></label>
                  <input type="text" class="form-control" [ngModel]="extDriver.emirates_id" name="emirates_id"
                    ngModel required />
                    <div class="error-msg"
                    *ngIf="signup.controls['emirates_id'] && signup.controls['emirates_id'].invalid && (signup.controls['emirates_id'].touched || signup.controls['emirates_id'].dirty)">
                    <div *ngIf="signup.controls['emirates_id'].errors.required">
                      emirates Id is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>Emirates ID expiry date <span class="erro-msg">*</span></label>
                  <div class="dt-filter">
                    <input type="text" class="form-control" [owlDateTime]="dt6" [ngModel]="extDriver.emirates_id_expiry"
                      name="emirates_id_expiry" [min]="max" [owlDateTimeTrigger]="dt6" ngModel readonly required/>
                    <owl-date-time #dt6></owl-date-time>
                  </div>
                  <div class="error-msg"
                  *ngIf="signup.controls['emirates_id_expiry'] && signup.controls['emirates_id_expiry'].invalid && (signup.controls['emirates_id_expiry'].touched || signup.controls['emirates_id_expiry'].dirty)">
                    <div *ngIf="signup.controls['emirates_id_expiry'].errors.required">
                      Emirates Id expiry date is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>RTA permit number <span class="erro-msg">*</span></label>
                  <input type="text" class="form-control" autocomplete="new-username"
                  [(ngModel)]="extDriver.permit_number" name="permit_number" ngModel required/>
                  <div class="error-msg"
                    *ngIf="signup.controls['permit_number'] && signup.controls['permit_number'].invalid && (signup.controls['permit_number'].touched || signup.controls['permit_number'].dirty)">
                    <div *ngIf="signup.controls['permit_number'].errors.required">
                      permit number is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>RTA permit expiry date <span class="erro-msg">*</span></label>
                  <div class="dt-filter">
                    <input type="text" class="form-control" [owlDateTime]="dt7" [ngModel]="extDriver.permit_expiry_date"
                      name="permit_expiry_date" [min]="max" [owlDateTimeTrigger]="dt7" ngModel readonly required/>
                    <owl-date-time #dt7></owl-date-time>
                  </div>
                  <div class="error-msg"
                  *ngIf="signup.controls['permit_expiry_date'] && signup.controls['permit_expiry_date'].invalid && (signup.controls['permit_expiry_date'].touched || signup.controls['permit_expiry_date'].dirty)">
                    <div *ngIf="signup.controls['permit_expiry_date'].errors.required">
                      Permit expiry date is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>Place of issue</label>
                  <input type="text" class="form-control" [ngModel]="extDriver.driver_license_place_of_issue"
                    name="driver_license_place_of_issue" ngModel />
                </div>
                <div class="box-input row">
                  <label>Driver licensing authority</label>
                  <input type="text" class="form-control" [ngModel]="extDriver.driver_licensing_authority"
                    name="driver_licensing_authority" ngModel />
                </div>
                <div class="text-center button-body row" *ngIf="extDriver.training_completed!=='1' || extDriver.onboarding_status=='2'">
                  <span class="error-msg" *ngIf="invalid;else break">{{invalid}}<br /></span>
                  <ng-template #break><br /></ng-template>
                  <button type="submit" class="btn blue btn-block"
                    [disabled]="extDriver.is_notified=='0' || isLoading || signup.invalid || (extDriver.driver_id && extDriver.onboarding_status!='2')">Update</button>
                </div>
                <br />
              </form>
            </div>
            <div id="menu2" class="ibox-content tab-pane fade"
              [ngStyle]="{'pointer-events': extDriver.training_completed=='1' && extDriver.onboarding_status!=='2'?'none':'unset'}">
              <form #signup2="ngForm" (ngSubmit)="submitVehicleForm(signup2.value)">
                <div class="box-input row mt-3">
                  <label>Vehicle identity number (Side No)<span class="erro-msg">*</span></label>
                  <input type="text" class="form-control" [(ngModel)]="extDriver.vehicle_identity_number"
                    autocomplete="off" name="vehicle_identity_number" required ngModel />
                  <div class="error-msg"
                    *ngIf="signup2.controls['vehicle_identity_number'] && signup2.controls['vehicle_identity_number'].invalid && (signup2.controls['vehicle_identity_number'].touched || signup2.controls['vehicle_identity_number'].dirty);">
                    <div *ngIf="signup2.controls['vehicle_identity_number'].errors.required">
                      Vehicle identity number is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row mt-3">
                  <label>Traffic plate number <span class="erro-msg">*</span></label>
                  <input type="text" class="form-control" [(ngModel)]="extDriver.traffic_plate_number"
                    autocomplete="off" name="traffic_plate_number" required ngModel />
                  <div class="error-msg"
                    *ngIf="signup2.controls['traffic_plate_number'] && signup2.controls['traffic_plate_number'].invalid && (signup2.controls['traffic_plate_number'].touched || signup2.controls['traffic_plate_number'].dirty);">
                    <div *ngIf="signup2.controls['traffic_plate_number'].errors.required">
                      Traffic plate number is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>Vehicle TC number <span class="erro-msg">*</span></label>
                  <input type="text" class="form-control" [(ngModel)]="extDriver.vehicle_tc_number" autocomplete="off"
                    name="vehicle_tc_number" required ngModel />
                  <div class="error-msg"
                    *ngIf="signup2.controls['vehicle_tc_number'] && signup2.controls['vehicle_tc_number'].invalid && (signup2.controls['vehicle_tc_number'].touched || signup2.controls['vehicle_tc_number'].dirty)">
                    <div *ngIf="signup2.controls['vehicle_tc_number'].errors.required">
                      Vehicle TC number is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>Vehicle expiry date <span class="erro-msg">*</span></label>
                  <div class="dt-filter">
                    <input type="text" class="form-control" [(ngModel)]="extDriver.vehicle_expiry_date"
                      [owlDateTime]="dt3" name="vehicle_expiry_date" [owlDateTimeTrigger]="dt3" ngModel
                      required readonly />
                    <owl-date-time #dt3></owl-date-time>
                  </div>
                  <div class="error-msg"
                    *ngIf="signup2.controls['vehicle_expiry_date'] && signup2.controls['vehicle_expiry_date'].invalid && (signup2.controls['vehicle_expiry_date'].touched || signup2.controls['vehicle_expiry_date'].dirty)">
                    <div *ngIf="signup2.controls['vehicle_expiry_date'].errors.required">
                      Vehicle expiry date is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row mt-3">
                  <label>Vehicle insurance number <span class="erro-msg">*</span></label>
                  <input type="text" class="form-control" [(ngModel)]="extDriver.vehicle_policy_number"
                    autocomplete="new-username" name="vehicle_policy_number" ngModel required/>
                  <div class="error-msg"
                    *ngIf="signup2.controls['vehicle_policy_number'] && signup2.controls['vehicle_policy_number'].invalid && (signup2.controls['vehicle_policy_number'].touched || signup2.controls['vehicle_policy_number'].dirty)">
                    <div *ngIf="signup2.controls['vehicle_policy_number'].errors.required">
                      Vehicle insurance number is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>Vehicle insurance expiry <span class="erro-msg">*</span></label>
                  <div class="dt-filter">
                    <input type="text" class="form-control" [owlDateTime]="dt8" [ngModel]="extDriver.vehicle_insurance_expiry_date"
                      name="vehicle_insurance_expiry_date" [min]="max" [owlDateTimeTrigger]="dt8" ngModel readonly required/>
                    <owl-date-time #dt8></owl-date-time>
                  </div>
                  <div class="error-msg"
                  *ngIf="signup2.controls['vehicle_insurance_expiry_date'] && signup2.controls['vehicle_insurance_expiry_date'].invalid && (signup2.controls['vehicle_insurance_expiry_date'].touched || signup2.controls['vehicle_insurance_expiry_date'].dirty)">
                    <div *ngIf="signup2.controls['vehicle_insurance_expiry_date'].errors.required">
                      Insurance expiry date is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row mt-3">
                  <label>Vehicle type <span class="erro-msg">*</span></label>
                  <select class="form-control" [(ngModel)]="extDriver.vehicle_model" name="vehicle_model" ngModel
                    required>
                    <option *ngFor="let model of vehicleModelData" [value]="model._id">{{model.name}}</option>
                  </select>
                  <div class="error-msg"
                    *ngIf="signup2.controls['vehicle_model'] && signup2.controls['vehicle_model'].invalid && (signup2.controls['vehicle_model'].touched || signup2.controls['vehicle_model'].dirty)">
                    <div *ngIf="signup2.controls['vehicle_model'].errors.required">
                      Vehicle type is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row mt-3">
                  <label>Vehicle color <span class="erro-msg">*</span></label>
                  <input type="text" class="form-control" [(ngModel)]="extDriver.vehicle_color"
                    autocomplete="new-username" name="vehicle_color" ngModel required/>
                  <div class="error-msg"
                    *ngIf="signup2.controls['vehicle_color'] && signup2.controls['vehicle_color'].invalid && (signup2.controls['vehicle_color'].touched || signup2.controls['vehicle_color'].dirty)">
                    <div *ngIf="signup2.controls['vehicle_color'].errors.required">
                      Vehicle color is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>Vehicle Owner</label>
                  <input type="text" class="form-control" [ngModel]="extDriver.vehicle_owner" name="vehicle_owner"
                    ngModel />
                </div>
                <div class="box-input row">
                  <label>Vehicle registration date <span class="erro-msg">*</span></label>
                  <input type="text" class="form-control" [max]="min" [(ngModel)]="extDriver.vehicle_registration_date"
                    [owlDateTime]="dt5" [owlDateTimeTrigger]="dt5" name="vehicle_registration_date" ngModel required
                    readonly />
                  <owl-date-time #dt5></owl-date-time>
                  <div class="error-msg"
                    *ngIf="signup2.controls['vehicle_registration_date'] && signup2.controls['vehicle_registration_date'].invalid && (signup2.controls['vehicle_registration_date'].touched || signup2.controls['vehicle_registration_date'].dirty)">
                    <div *ngIf="signup2.controls['vehicle_registration_date'].errors.required">
                      Vehicle registration date is required.
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>Vehicle origin</label>
                  <input type="text" class="form-control" name="vehicle_origin" [ngModel]="extDriver.vehicle_origin"
                    ngModel />
                </div>
                <div class="box-input row">
                  <label>Vehicle model</label>
                  <input type="text" class="form-control" name="vehicle_type" [ngModel]="extDriver.vehicle_type"
                    ngModel />
                </div>
                <div class="box-input row">
                  <label>Vehicle GVW</label>
                  <input type="text" class="form-control" name="vehicle_gvw" [ngModel]="extDriver.vehicle_gvw"
                    ngModel />
                </div>
                <div class="box-input row">
                  <label>Vehicle weight</label>
                  <input type="text" class="form-control" name="vehicle_weight" [ngModel]="extDriver.vehicle_weight"
                    ngModel />
                </div>
                <div class="box-input row">
                  <label>Vehicle engine number</label>
                  <input type="text" class="form-control" name="vehicle_engine_number"
                    [ngModel]="extDriver.vehicle_engine_number" ngModel />
                </div>
                <div class="box-input row">
                  <label>Vehicle chassis number</label>
                  <input type="text" class="form-control" name="vehicle_chasis_number"
                    [ngModel]="extDriver.vehicle_chasis_number" ngModel />
                </div>
                <div class="box-input row">
                  <label>Vehicle licencing authority</label>
                  <input type="text" class="form-control" name="vehicle_licensing_authority"
                    [ngModel]="extDriver.vehicle_licensing_authority" ngModel />
                </div>
                <div class="text-center button-body row"
                  *ngIf="extDriver.training_completed!=='1' || extDriver.onboarding_status=='2'">
                  <span class="error-msg" *ngIf="invalid2;else break">{{invalid2}}<br /></span>
                  <ng-template #break><br /></ng-template>
                  <button type="submit" class="btn blue btn-block"
                    [disabled]="extDriver.is_notified=='0' || isLoading || signup2.invalid || (extDriver.vehicle_id && extDriver.onboarding_status!=='2')">Update</button>                  
                </div>
                <br />
              </form>
            </div>
            <div id="menu3" class="ibox-content tab-pane fade">
              <form #iban="ngForm" (ngSubmit)="submitIbanForm(iban.value)">
                <div class="box-input row mt-3">
                  <label>Account holder name <span class="erro-msg">*</span></label>
                  <input type="text" class="form-control" [ngModel]="extDriver.account_holder_title"
                    autocomplete="new-username" name="account_holder_title" required ngModel />
                </div>
                <div class="box-input row">
                  <label>IBAN number <span class="erro-msg">*</span></label>
                  <input type="text" class="form-control" [ngModel]="extDriver.iban_number" autocomplete="new-username"
                    name="iban_number" maxlength="23" minlength="23" pattern="^([A-Z])([A-Z])\d{21}\b" ngModel/>
                  <div class="error-msg"
                    *ngIf="iban.controls['iban_number'] && iban.controls['iban_number'].invalid && (iban.controls['iban_number'].touched || iban.controls['iban_number'].dirty);">
                    <div *ngIf="iban.controls['iban_number'].errors.minlength">
                      IBAN length should be 23
                    </div>
                    <div *ngIf="iban.controls['iban_number'].errors.pattern">
                        Invalid IBAN number
                    </div>
                  </div>
                </div>
                <div class="box-input row">
                  <label>Select bank <span class="erro-msg">*</span></label>
                  <input matInput placeholder="Bank" class="form-control" [ngModel]="extDriver.bank_id" name="bank"
                    [formControl]="bankCtrl" [matAutocomplete]="bnk" />
                  <mat-autocomplete #bnk="matAutocomplete" [displayWith]="displayFnBank">
                    <mat-option *ngFor="let bank of tempBank" [value]="bank">
                      {{bank.entity_name}}
                    </mat-option>
                  </mat-autocomplete>
                </div>
                <div class="text-center button-body row">
                  <span class="error-msg" *ngIf="invalid3;else break">{{invalid3}}<br /></span>
                  <ng-template #break><br /></ng-template>
                  <button type="submit" class="btn blue btn-block"
                    [disabled]="extDriver.is_notified=='0' || isLoading || iban.invalid">Update</button>
                </div>
                <br />
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>